------------------------------------------------------------------------
r46270 | gerald | 2012-11-28 15:10:31 -0800 (Wed, 28 Nov 2012) | 2 lines
Changed paths:
   M /trunk-1.8/Makefile.am

Fix the patch filename.

------------------------------------------------------------------------
r46303 | stig | 2012-11-30 03:02:46 -0800 (Fri, 30 Nov 2012) | 7 lines
Changed paths:
   M /trunk-1.8/epan/wslua/wslua_proto.c

Copy over from trunk:
------------------------------------------------------------------------
r46302 | stig | 2012-11-30 12:01:01 +0100 (Fri, 30 Nov 2012) | 3 lines

Added check for missing/empty ProtoField abbrev also in
integer, boolean, time and other cases.

------------------------------------------------------------------------
r46318 | guy | 2012-12-01 14:44:17 -0800 (Sat, 01 Dec 2012) | 10 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/frame_data_sequence.c

Copy over r46315 from trunk:

  ------------------------------------------------------------------------
  r46315 | eapache | 2012-12-01 10:19:08 -0800 (Sat, 01 Dec 2012) | 3 lines

  Fix potential copy-and-pasto in free_frame_data_sequence that may or may not
  be the cause of https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8022

  ------------------------------------------------------------------------

------------------------------------------------------------------------
r46329 | gerald | 2012-12-02 07:33:52 -0800 (Sun, 02 Dec 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf
   M /trunk-1.8/services

[Automatic manuf, services and enterprise-numbers update for 2012-12-02]
------------------------------------------------------------------------
r46354 | gerald | 2012-12-03 13:37:17 -0800 (Mon, 03 Dec 2012) | 1 line
Changed paths:
   M /trunk-1.8/docbook/release-notes.xml

Use GENERIC-MAP-NOMATCH as a CVE placeholder.
------------------------------------------------------------------------
r46388 | guy | 2012-12-05 00:34:54 -0800 (Wed, 05 Dec 2012) | 11 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/wiretap/ngsniffer.c

Copy over r46387 from trunk:

  ------------------------------------------------------------------------
  r46387 | guy | 2012-12-05 00:29:22 -0800 (Wed, 05 Dec 2012) | 6 lines

  Add a bunch of #defines for converting between tm_year/tm_mon/tm_mday to
  a DOS date.

  Use them - which fixes a bug, bug 7998, wherein we were doing the wrong
  check to see whether tm_year would fit in a DOS date or not.

------------------------------------------------------------------------
r46390 | guy | 2012-12-05 00:58:01 -0800 (Wed, 05 Dec 2012) | 17 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/manuf
   M /trunk-1.8/wka.tmpl

Copy over rev 46386 from trunk:

  ------------------------------------------------------------------------
  r46386 | guy | 2012-12-04 19:45:11 -0800 (Tue, 04 Dec 2012) | 12 lines

  Broadcom "donated" one of their OUIs for use in Fibre Channel over
  Ethernet group MAC-48 addresses:

	http://www.t11.org/ftp/t11/pub/fc/bb-5/08-334v0.pdf

  so we add entries for the three group addresses in question and an entry
  to cover all unassigned group addresses in that range.

  Regenerate manuf file.

  Fixes bug 8046.

------------------------------------------------------------------------
r46409 | wmeier | 2012-12-05 11:45:59 -0800 (Wed, 05 Dec 2012) | 13 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-csn1.c

Copy over from trunk ...

------------------------------------------------------------------------
r46335 | pascal | 2012-12-02 16:37:34 -0500 (Sun, 02 Dec 2012) | 3 lines

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8037 :
Fix an infinite loop in CSN.1 dissector when having more than 255 padding bits

------------------------------------------------------------------------

(Fixes a number of Buildbot (1.8) crashes (e.g. Bug #8045)
(https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8045)

------------------------------------------------------------------------
r46416 | morriss | 2012-12-05 18:02:42 -0800 (Wed, 05 Dec 2012) | 10 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-assa_r3.c

Copy over (with manual intervention):

  ------------------------------------------------------------------------
  r46415 | morriss | 2012-12-05 20:43:37 -0500 (Wed, 05 Dec 2012) | 5 lines

  Fix inifite loop in the R3 dissector reported in
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8040 :

  If the alarm length is 0, raise an expert_info and break out of the loop.

------------------------------------------------------------------------
r46419 | morriss | 2012-12-06 06:50:37 -0800 (Thu, 06 Dec 2012) | 11 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-sip.c

Copy over from trunk (in order to fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8067 ):

  ------------------------------------------------------------------------
  r46340 | etxrab | 2012-12-03 04:49:52 -0500 (Mon, 03 Dec 2012) | 4 lines

  Wrong check for quote_offset.
  Fixes  Bug 8042 - SIP infinite loop.

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8042
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r46421 | wmeier | 2012-12-06 07:25:36 -0800 (Thu, 06 Dec 2012) | 12 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-pw-eth.c

Copy over from trunk:

------------------------------------------------------------------------
r46420 | wmeier | 2012-12-06 10:15:05 -0500 (Thu, 06 Dec 2012) | 6 lines

Fix "MPLS payload starting with valid-looking ethernet address dissected twice".

Fixes Bug #8043
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8043

------------------------------------------------------------------------

------------------------------------------------------------------------
r46423 | etxrab | 2012-12-06 07:58:01 -0800 (Thu, 06 Dec 2012) | 7 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-sdp.c

Copy over:
Revision 46346 Try to fix packet-sdp.c:1542: warning: 'parameter_item' may be used uninitialized in this function.

--------------------------------------------------------------------------------
Revision 46344 - Protect against malformed crypto-suite parameters.
Fixes SDP infinite loop.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8041
------------------------------------------------------------------------
r46424 | pascal | 2012-12-06 09:12:16 -0800 (Thu, 06 Dec 2012) | 9 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-bthci_cmd.c

Copy over from trunk with manual intervention:
------------------------------------------------------------------------
r46345 | pascal | 2012-12-03 15:44:12 +0100 (Mon, 03 Dec 2012) | 3 lines

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8038 :
Prevent a counter overflow in while loops

------------------------------------------------------------------------

------------------------------------------------------------------------
r46441 | etxrab | 2012-12-07 04:57:55 -0800 (Fri, 07 Dec 2012) | 4 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-gtp.c

Copy over:
Revision 46439 - Bug 3974 - wrong decoding of gtp.target identification.
Use the IE description from 3GPP TS 29.060 version 10.4.0 Release 10.
- Fix bugs with RAI and LAC in other parts of the code.
------------------------------------------------------------------------
r46462 | pascal | 2012-12-07 14:39:34 -0800 (Fri, 07 Dec 2012) | 3 lines
Changed paths:
   M /trunk-1.8/Makefile.nmake
   M /trunk-1.8/tools/win32-setup.sh
   M /trunk-1.8/tools/win64-setup.sh

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8009 :
Update the User's Guide to 1.8

------------------------------------------------------------------------
r46474 | eapache | 2012-12-08 18:46:41 -0800 (Sat, 08 Dec 2012) | 32 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/asn1/c1222/packet-c1222-template.c
   M /trunk-1.8/asn1/ess/packet-ess-template.c
   M /trunk-1.8/asn1/ldap/packet-ldap-template.c
   M /trunk-1.8/asn1/pres/packet-pres-template.c
   M /trunk-1.8/asn1/snmp/packet-snmp-template.c
   M /trunk-1.8/epan/dfilter/dfilter-macro.c
   M /trunk-1.8/epan/dissectors/packet-ber.c
   M /trunk-1.8/epan/dissectors/packet-bootp.c
   M /trunk-1.8/epan/dissectors/packet-c1222.c
   M /trunk-1.8/epan/dissectors/packet-dmp.c
   M /trunk-1.8/epan/dissectors/packet-dtls.c
   M /trunk-1.8/epan/dissectors/packet-ess.c
   M /trunk-1.8/epan/dissectors/packet-http.c
   M /trunk-1.8/epan/dissectors/packet-ieee80211.c
   M /trunk-1.8/epan/dissectors/packet-ieee802154.c
   M /trunk-1.8/epan/dissectors/packet-imf.c
   M /trunk-1.8/epan/dissectors/packet-ipsec.c
   M /trunk-1.8/epan/dissectors/packet-isakmp.c
   M /trunk-1.8/epan/dissectors/packet-k12.c
   M /trunk-1.8/epan/dissectors/packet-ldap.c
   M /trunk-1.8/epan/dissectors/packet-mac-lte.c
   M /trunk-1.8/epan/dissectors/packet-pres.c
   M /trunk-1.8/epan/dissectors/packet-reload.c
   M /trunk-1.8/epan/dissectors/packet-sccp.c
   M /trunk-1.8/epan/dissectors/packet-snmp.c
   M /trunk-1.8/epan/dissectors/packet-ssl.c
   M /trunk-1.8/epan/dissectors/packet-user_encap.c
   M /trunk-1.8/epan/dissectors/packet-vcdu.c
   M /trunk-1.8/epan/dissectors/packet-zbee-security.c
   M /trunk-1.8/epan/geoip_db.c
   M /trunk-1.8/epan/oids.c
   M /trunk-1.8/epan/uat-int.h
   M /trunk-1.8/epan/uat.c
   M /trunk-1.8/epan/uat.h
   M /trunk-1.8/ui/gtk/uat_gui.c

Copy from trunk with manual intervention, to fix
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8073

    ------------------------------------------------------------------------
    r43603 | guy | 2012-07-07 21:00:46 -0400 (Sat, 07 Jul 2012) | 26 lines

    UATs could be put into "categories".  The categories were defined only
    implicitly by the #define name and string they were defined to; not all
    UATs neatly fit into any of the categories, so some of them were put
    into categories that weren't obviously correct for them, and one - the
    display filter macro UAT - wasn't put into any category at all (which
    caused crashes when editing them, as the GUI code that handled UAT
    changes from a dialog assumed the category field was non-null).

    The category was, in practice, used only to decide, in the
    aforementioned GUI code, whether the packet summary pane needed to be
    updated or not.  It also offered no option of "don't update the packet
    summary pane *and* don't redissect anything", which is what would be
    appropriate for the display filter macro UAT.

    Replace the category with a set of fields indicating what the UAT
    affects; we currently offer "dissection", which applies to most UATs
    (any UAT in libwireshark presumably affects dissection at a minimum) and
    "the set of named fields that exist".  Changing any UAT that affects
    dissection requires a redissection; changing any UAT that affects the
    set of named fields that exist requires a redissection *and* rebuilding
    the packet summary pane.

    Perhaps we also need "filtering", so that if you change a display filter
    macro, we re-filter, in case the display is currently filtered with a
    display filter that uses a macro that changed.

------------------------------------------------------------------------
r46482 | gerald | 2012-12-09 07:33:49 -0800 (Sun, 09 Dec 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf
   M /trunk-1.8/services

[Automatic manuf, services and enterprise-numbers update for 2012-12-09]
------------------------------------------------------------------------
r46498 | etxrab | 2012-12-11 03:38:25 -0800 (Tue, 11 Dec 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-gtpv2.c


------------------------------------------------------------------------
r46517 | pascal | 2012-12-12 03:27:49 -0800 (Wed, 12 Dec 2012) | 2 lines
Changed paths:
   M /trunk-1.8/docbook/wsug_src/WSUG_app_tools.xml

Update command line tools help

------------------------------------------------------------------------
r46521 | pascal | 2012-12-12 08:41:37 -0800 (Wed, 12 Dec 2012) | 2 lines
Changed paths:
   M /trunk-1.8/Makefile.nmake
   M /trunk-1.8/tools/win32-setup.sh
   M /trunk-1.8/tools/win64-setup.sh

Update the User's Guide

------------------------------------------------------------------------
r46559 | gerald | 2012-12-16 07:34:06 -0800 (Sun, 16 Dec 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf
   M /trunk-1.8/services

[Automatic manuf, services and enterprise-numbers update for 2012-12-16]
------------------------------------------------------------------------
r46571 | morriss | 2012-12-16 12:06:11 -0800 (Sun, 16 Dec 2012) | 36 lines
Changed paths:
   M /trunk-1.8/epan/tvbuff.c

As suggested by Evan, manually copy over:

  ------------------------------------------------------------------------
  r46570 | morriss | 2012-12-16 14:26:12 -0500 (Sun, 16 Dec 2012) | 6 lines

  Another composite-TVB fix inspired by
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8097 :

  Assert out if tvb_composite_finalize() is called on a composite TVB with
  no members (sub-TVBs).

  ------------------------------------------------------------------------
  r46567 | morriss | 2012-12-16 13:23:10 -0500 (Sun, 16 Dec 2012) | 4 lines

  As suggested by Evan in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8097 :

  Put r46564 back in as the computation of member_length is non-trivial.

  ------------------------------------------------------------------------
  r46566 | morriss | 2012-12-16 11:49:52 -0500 (Sun, 16 Dec 2012) | 5 lines

  A different fix for https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8097 :

  Rather than asserting out when we find a zero-length TVB in a composite TVB,
  assert out when a dissector adds a zero-length TVB to a composite.

  ------------------------------------------------------------------------
  r46564 | eapache | 2012-12-16 11:21:41 -0500 (Sun, 16 Dec 2012) | 6 lines

  DISSECTOR_ASSERT on member_length when composing a disjoint tvb in order to
  avoid an infinite recursion. More robust handling of the error case in
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8097
  but doesn't fix the actual bug (which is that either DHCP or BOOTP is building
  an invalid tvbuff).


------------------------------------------------------------------------
r46578 | morriss | 2012-12-17 18:07:20 -0800 (Mon, 17 Dec 2012) | 26 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-dtn.c

Copy over:

  ------------------------------------------------------------------------
  r46577 | morriss | 2012-12-17 21:02:28 -0500 (Mon, 17 Dec 2012) | 20 lines

  Fix the fuzz failure reported in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7945 
  (or at least the complaints from Valgrind; I couldn't reproduce the crash).

  What part of:

  ~~~
   * If you're thinking of using tvb_get_ptr, STOP WHAT YOU ARE DOING
   * IMMEDIATELY. Go take a break. Consider that tvb_get_ptr hands you
   * a raw, unprotected pointer that you can easily use to create a
   * security vulnerability or otherwise crash Wireshark. Then consider
   * that you can probably find a function elsewhere in this file that
   * does exactly what you want in a much more safe and robust manner.
  ~~~

  did someone not read?

  Use tvb_get_ephemeral_stringz() instead of adding (apparently not sufficiently
  checked!) offsets to the result of tvb_get_ptr() and assuming that the result
  is a) in bounds and b) a NULL-terminated string.


------------------------------------------------------------------------
r46580 | morriss | 2012-12-17 18:23:20 -0800 (Mon, 17 Dec 2012) | 8 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-dtn.c

Copy over:

  ------------------------------------------------------------------------
  r46579 | morriss | 2012-12-17 21:20:38 -0500 (Mon, 17 Dec 2012) | 3 lines

  Get rid of another tvb_get_ptr() abuse (just like r46577 but in a different
  function).

------------------------------------------------------------------------
r46587 | etxrab | 2012-12-18 04:49:57 -0800 (Tue, 18 Dec 2012) | 9 lines
Changed paths:
   M /trunk-1.8/dumpcap.c

Copy over:
Revision 44818 -
Convert inpkts_to_sync_pipe and report_packet_count() to use unsigned ints
consistently. Cleans up some cppcheck warnings about signed/unsigned mismatches
in format strings.

Revision 45287 - (Trivial): update a comment.

Revision 46586 - - Make dumpcap build with the new bundle.
------------------------------------------------------------------------
r46588 | etxrab | 2012-12-18 05:21:49 -0800 (Tue, 18 Dec 2012) | 36 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-gsm_a_common.h
   M /trunk-1.8/epan/dissectors/packet-gsm_a_rr.c

Copy over:
Revision 45825 - Add dissection ofDTM ASSIGNMENT COMMAND and fix message types.
--------------------------------------------------------------------------------
Revision 45811 - From Mike Morrin via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7911 :
Fix dissection of some GSM RR IEs which include length octet

From me:
Keep displaying those IEs as TLV to keep coherency with other TLV IEs
Fix dissection of Dynamic ARFCN Mapping

--------------------------------------------------------------------------------
Revision 45017 - We always HAVE_CONFIG_H so don't bother checking whether we have it or not.
--------------------------------------------------------------------------------
Revision 44667 - Following r44648, revert part of r44162 and followups so as to have a top level gsm_a filter name
--------------------------------------------------------------------------------
Revision 44438 - Use val_to_str_const() where appropriate;
Also (for a few files):
- create/use some extended value strings;
- remove unneeded #include files;
- remove unneeded variable initialization;
- re-order fcns slightly so prefs_reg_handoff...() at end, etc
--------------------------------------------------------------------------------
Revision 44195 - Do not register fields twice
--------------------------------------------------------------------------------
Revision 44192 - The minimum CCCH size is 3 bytes (L2 pseudo length + protocol discriminator + message type)
--------------------------------------------------------------------------------
Revision 44187 - Follow-up of r44162: clean more filters
--------------------------------------------------------------------------------
Revision 44185 - Follow-up of r44162: RR dissector is not used only on Common Control CHannels but also on Dedicated Control CHannels; update protocol name and filters accordingly
--------------------------------------------------------------------------------
Revision 44181 - remove unnecessary underscores from display filters
--------------------------------------------------------------------------------
Revision 44162 - Updated GSM dissectors display filters per checkfiltername.pl
Tried to provide consistency with GSM dissector (protocol) names, even if the filenames now don't match the dissector name.
--------------------------------------------------------------------------------
Revision 43538 - Update FSF address - part II.
------------------------------------------------------------------------
r46589 | etxrab | 2012-12-18 05:42:47 -0800 (Tue, 18 Dec 2012) | 1 line
Changed paths:
   M /trunk-1.8/config.nmake

Prepare to use new bundles.
------------------------------------------------------------------------
r46632 | etxrab | 2012-12-20 06:15:05 -0800 (Thu, 20 Dec 2012) | 4 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-rsl.c

Copy over:
Revision 46630 - Try to determine wether it is MEAS REP, EXT MEAS REP or ENH MEAS REP.
-------------------------------------------------------------------------
Revision 44639 - Fix incorrect value (typo) in value-string array.
------------------------------------------------------------------------
r46634 | etxrab | 2012-12-20 06:40:58 -0800 (Thu, 20 Dec 2012) | 37 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-diameter.c
   M /trunk-1.8/epan/dissectors/packet-diameter.h

Copy over:
Revision 46555 - Initialize a variable to avoid a (false) may-be-used-uninitialized warning turned error.
--------------------------------------------------------------------------------
Revision 46553 - Handle hop-by-hop-id collisions (when matching requests and answers) better:
instead of storing the requests in an se_tree (keyed by hop-by-hop-id),
store an se_tree which is itself keyed by frame number.  When looking for
a matching request, first find the tree of pdus (by hop-by-hop-id) and then
look for the largest frame number less than or equal to the answer's frame
number.  Also verify that the end-to-end-id matches.

Move the conversation structure out of packet-diameter.h: it's only used in
packet-diameter.c

--------------------------------------------------------------------------------
Revision 46271 - Slightly less hacky way to arrange that dictionary_load() be called
before hf_base[] is initialized.
--------------------------------------------------------------------------------
Revision 46266 - Fix pretty-printing of the application ID in the protocol-details pane by
putting an "unused" variable (which was taken out in r24377) back in.  This
time add a (bogus) "use" of the variable and explain why we're doing what
we're doing.

Use VALS() (in one case anyway) and PINFO_FD_NUM.

--------------------------------------------------------------------------------
Revision 46249 - There's a macro for the Request bit.  Use it instead of hard-coded 0x80.
--------------------------------------------------------------------------------
Revision 45598 - make the variable that holds tvb_length_remaining() a signed integer
--------------------------------------------------------------------------------
Revision 45553 - Try to get rid of some of the" pedantic" warnings.
--------------------------------------------------------------------------------
Revision 44438 - Use val_to_str_const() where appropriate;
Also (for a few files):
- create/use some extended value strings;
- remove unneeded #include files;
- remove unneeded variable initialization;
- re-order fcns slightly so prefs_reg_handoff...() at end, etc
------------------------------------------------------------------------
r46639 | etxrab | 2012-12-20 08:19:50 -0800 (Thu, 20 Dec 2012) | 23 lines
Changed paths:
   M /trunk-1.8/asn1/lppa/packet-lppa-template.c
   M /trunk-1.8/epan/dissectors/packet-isup.c
   M /trunk-1.8/epan/dissectors/packet-lppa.c

Copy over:
Revision 46334 - From Ojab via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8035 :
Wrong packet bytes are selected for ISUP CUG binary code
--------------------------------------------------------------------------------
Revision 46300 - Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8023 :
Fix typo in LPPa protocol name
--------------------------------------------------------------------------------
Revision 46292 - Make all enum_val_t's const.
--------------------------------------------------------------------------------
Revision 44636 - value-string arrays - allow "direct" access: fix dup val & fill in a "gap".
--------------------------------------------------------------------------------
Revision 44487 - From Bodo Petermann via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7632

Fix dissection of ISUP message Generic Numbers with no digits.
--------------------------------------------------------------------------------
Revision 44438 - Use val_to_str_const() where appropriate;
Also (for a few files):
- create/use some extended value strings;
- remove unneeded #include files;
- remove unneeded variable initialization;
- re-order fcns slightly so prefs_reg_handoff...() at end, etc
--------------------------------------------------------------------------------
Revision 44028 - Extend a value string.
------------------------------------------------------------------------
r46656 | etxrab | 2012-12-20 23:45:02 -0800 (Thu, 20 Dec 2012) | 1 line
Changed paths:
   M /trunk-1.8/config.h.win32
   M /trunk-1.8/config.nmake

Copy over Revision 44982 Revision 44995 Revision 45029 Revision 45031 Revision 45033 Revision 45036 Revision 45305 to make it possible to build with MSVC2012
------------------------------------------------------------------------
r46659 | etxrab | 2012-12-21 01:12:09 -0800 (Fri, 21 Dec 2012) | 22 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-clnp.c
   M /trunk-1.8/epan/osi-utils.c

Copy over:
Revision 46646 - Clean up white space.

Add a return where I presume it was intended to be - a 4-octet address
is completely handled in that if clause, so there's no reason to fall
through.

Fix a comment.
--------------------------------------------------------------------------------
Revision 46645 - Fix some valgrind warnings from the capture attached to
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8110

I can't reproduce the actual reported crash on trunk.

--------------------------------------------------------------------------------
Revision 45646 - (try to) fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7871

increment offset to point to the first byte after the options
(the code used to set an absolute position, if that was 0, we were stuck
 in an endless loop)
--------------------------------------------------------------------------------
Revision 45059 - replaced decode_boolean_bitfield calls with itemized filters
------------------------------------------------------------------------
r46667 | etxrab | 2012-12-21 04:12:59 -0800 (Fri, 21 Dec 2012) | 7 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-slowprotocols.c

Copy over:
Revision 46336 - Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8036 :
Check length of Slow Protocol OAM Vendor Specific Event Notification and add an expert info if it is not at least 2 bytes long
--------------------------------------------------------------------------------
Revision 44640 - Replace dup value (typo ?) with what seems to be the correct value.
--------------------------------------------------------------------------------
Revision 44180 - Fix the remaining part of Coverity CID 280009 (formerly CID 9): "Logically dead code".  The first part seems to have been committed in r17565, although the checkin comment mistakenly indicates, at least as far as I can tell, that it was for CID 6 instead of CID 9, which is what Coverity is telling me it used to be.
------------------------------------------------------------------------
r46671 | etxrab | 2012-12-21 05:56:28 -0800 (Fri, 21 Dec 2012) | 52 lines
Changed paths:
   M /trunk-1.8/epan/address.h

Copy over a bunch of macros so they can be used in patches:
Revision 46324 - Introduce, and start using, TVB_SET_ADDRESS() and TVB_SET_ADDRESS_HF().  They
are like the non-TVB versions except that they take a TVB and an offset
instead of (frequently) a pointer into the TVB.

Calling tvb_get_ptr() before modifying the rest of the fields should help fix
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7960 (though I can't
reproduce that problem).


Replace a bunch of calls like:

SET_ADDRESS(..., AT_XXX, length, tvb_get_ptr(tvb, offset, length));

with:

TVB_SET_ADDRESS(..., AT_XXX, tvb, offset, length);


--------------------------------------------------------------------------------
Revision 45792 - Create SET_ADDRESS_HF that takes an additional hf_ value that can be
used to override the filter generated from the address column.

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7728 (again).

--------------------------------------------------------------------------------
Revision 45791 - Revert revision 44921.

See discussion on https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7728
--------------------------------------------------------------------------------
Revision 45744 - Note why there's no AT_IEEE_802_15_4_LONG (that's AT_EUI64).
--------------------------------------------------------------------------------
Revision 45743 - Add an AT_ value for 802.15.4 short addresses.

Note that, if you want EUI-64's to resolve the OUI in the display,
hacking individual dissectors to do it themselves and use AT_STRINGZ is
*not* the right way to do it.


--------------------------------------------------------------------------------
Revision 45102 - Get rid of ../../epan/address.h:65:19: warning: comma at end of enumerator list [-pedantic]

--------------------------------------------------------------------------------
Revision 44921 -From Pontus Fuchs via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7728

Make right-click + apply-as-filter work in the packet list for non-ethernet
frames (such as ieee 802.11 frames).


--------------------------------------------------------------------------------
Revision 44211 - From Richard Stearn: support for AX.25, including support for
LINKTYPE_AX25.
------------------------------------------------------------------------
r46672 | etxrab | 2012-12-21 05:58:35 -0800 (Fri, 21 Dec 2012) | 25 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-fc.c
   M /trunk-1.8/epan/dissectors/packet-fc.h
   M /trunk-1.8/epan/dissectors/packet-fcp.c

Copy over:
Revision 46464 - 
Bugfix FCP lun request/response tracking.

This works towards bug 3209 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3209) by at least satisfying the layer under SCSI.  All of the dissectors that feed into SCSI seem to have similar "lun tracking" issues, so I think a more general solution may be needed to fix the bug "right"

#BACKPORT

--------------------------------------------------------------------------------
Revision 46324 - Introduce, and start using, TVB_SET_ADDRESS() and TVB_SET_ADDRESS_HF().  They
are like the non-TVB versions except that they take a TVB and an offset
instead of (frequently) a pointer into the TVB.

Calling tvb_get_ptr() before modifying the rest of the fields should help fix
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7960 (though I can't
reproduce that problem).


Replace a bunch of calls like:

SET_ADDRESS(..., AT_XXX, length, tvb_get_ptr(tvb, offset, length));

with:

TVB_SET_ADDRESS(..., AT_XXX, tvb, offset, length);
------------------------------------------------------------------------
r46720 | gerald | 2012-12-23 07:33:52 -0800 (Sun, 23 Dec 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf
   M /trunk-1.8/services

[Automatic manuf, services and enterprise-numbers update for 2012-12-23]
------------------------------------------------------------------------
r46735 | etxrab | 2012-12-25 05:55:35 -0800 (Tue, 25 Dec 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-ssl.c

Copy over: Revision 43862, Revision 44438, Revision 44496, Revision 44515, Revision 45641, Revision 46510
------------------------------------------------------------------------
r46760 | etxrab | 2012-12-26 01:15:16 -0800 (Wed, 26 Dec 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/tvbuff.c

Copy over:Revision 46705, Revision 43266, Revision 43263
------------------------------------------------------------------------
r46761 | etxrab | 2012-12-26 01:23:48 -0800 (Wed, 26 Dec 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-gtpv2.c

Copy over Revision 46556 
------------------------------------------------------------------------
r46762 | etxrab | 2012-12-26 01:30:40 -0800 (Wed, 26 Dec 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-homeplug-av.c

Copy over Rev 46695 - Bug 8115 - Expand device ID and fix a typo.
------------------------------------------------------------------------
r46775 | guy | 2012-12-26 04:05:02 -0800 (Wed, 26 Dec 2012) | 8 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/wiretap/file_access.c

Copy over r46773 from trunk:

  ------------------------------------------------------------------------
  r46773 | guy | 2012-12-26 03:59:47 -0800 (Wed, 26 Dec 2012) | 3 lines

  On I/O errors when opening a file, use wtap_close() to clean up, to make
  sure we clean up everything.

------------------------------------------------------------------------
r46776 | guy | 2012-12-26 04:05:48 -0800 (Wed, 26 Dec 2012) | 9 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/wiretap/commview.c

Copy over r46774 from trunk:

  ------------------------------------------------------------------------
  r46774 | guy | 2012-12-26 04:01:14 -0800 (Wed, 26 Dec 2012) | 4 lines

  If the attempt to read the record header fails because we hit the EOF,
  treat that as "this isn't a CommView file" rather than "this is a bad
  file".

------------------------------------------------------------------------
r46794 | guy | 2012-12-26 14:08:27 -0800 (Wed, 26 Dec 2012) | 16 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/epan/dissectors/packet-gsm_a_bssmap.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r46793 | guy | 2012-12-26 14:05:41 -0800 (Wed, 26 Dec 2012) | 2 lines

  Do array bounds checking.

  ------------------------------------------------------------------------
  r46747 | guy | 2012-12-25 15:14:05 -0800 (Tue, 25 Dec 2012) | 6 lines

  bssmap_msg_fcn[] is a dense array, not a sparse array, so *every* entry
  must be filled in - even if we don't happen to have dissectors for
  particular message types.  Just put NULL in there, so we don't index
  past the end of the array, grab a random location in memory's contents
  as a function pointer, and crash when we call through that pointer.

------------------------------------------------------------------------
r46796 | guy | 2012-12-26 14:15:25 -0800 (Wed, 26 Dec 2012) | 7 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/epan/dissectors/packet-gsm_a_bssmap.c

Copy over r46795 from trunk:

  ------------------------------------------------------------------------
  r46795 | guy | 2012-12-26 14:13:34 -0800 (Wed, 26 Dec 2012) | 2 lines

  Update a comment.

------------------------------------------------------------------------
r46806 | etxrab | 2012-12-27 04:57:57 -0800 (Thu, 27 Dec 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-rpc.c

Copy over r46805 From Pawel Dziepak:dissect_rpc_array causes assertion fault when array is empty. https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8145 
------------------------------------------------------------------------
r46833 | pascal | 2012-12-28 14:30:50 -0800 (Fri, 28 Dec 2012) | 8 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-ansi_637.c

Copy over from trunk:
------------------------------------------------------------------------
r46687 | pascal | 2012-12-21 22:03:31 +0100 (Fri, 21 Dec 2012) | 2 lines

Fix GSM 7-bit default alphabet decoding in ANSI IS-637-A

------------------------------------------------------------------------

------------------------------------------------------------------------
r46840 | eapache | 2012-12-29 06:15:32 -0800 (Sat, 29 Dec 2012) | 13 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/epan/dissectors/packet-dtls.c

Copy over from trunk to shut up the fuzzbot until we can agree on a proper fix
for bug #8111:
------------------------------------------------------------------------
r46739 | martink | 2012-12-25 13:44:14 -0500 (Tue, 25 Dec 2012) | 6 lines

set the dtls record length for reassembly _before_ adding a fragment

this is a workaround for
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8111
it does not fully fix the underlying issue

------------------------------------------------------------------------

------------------------------------------------------------------------
r46845 | wmeier | 2012-12-29 11:21:11 -0800 (Sat, 29 Dec 2012) | 14 lines
Changed paths:
   M /trunk-1.8/ui/gtk/summary_dlg.c

Copy over from trunk:

------------------------------------------------------------------------
r46844 | wmeier | 2012-12-29 14:07:48 -0500 (Sat, 29 Dec 2012) | 7 lines

Add a vertical scrollbar to the summary dialog window.
(The window has gotten pretty tall;
 Creating a multiline 'Capture File Comments'" entry
 may make the buttons inaccessible w/o a scrollbar).

##backport 1.8

------------------------------------------------------------------------

------------------------------------------------------------------------
r46861 | gerald | 2012-12-30 07:33:43 -0800 (Sun, 30 Dec 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf

[Automatic manuf, services and enterprise-numbers update for 2012-12-30]
------------------------------------------------------------------------
r46865 | guy | 2012-12-30 12:41:42 -0800 (Sun, 30 Dec 2012) | 11 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/doc/rawshark.pod

Copy over r46864 from trunk:

  ------------------------------------------------------------------------
  r46864 | guy | 2012-12-30 12:39:45 -0800 (Sun, 30 Dec 2012) | 6 lines

  Fix description of -p input - show the packet data the same way it's
  shown for the previous input format (showing "data" as a pointer is a
  bit confusing, as it's just in-line data in the input), and give a more
  detailed description of the issues with that file format (the size of
  the seconds field of the time stamp is platform-dependent).

------------------------------------------------------------------------
r46880 | pascal | 2013-01-01 06:05:51 -0800 (Tue, 01 Jan 2013) | 9 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-rohc.c

Copy over from trunk:
------------------------------------------------------------------------
r44700 | pascal | 2012-08-30 14:08:53 +0200 (Thu, 30 Aug 2012) | 3 lines

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7679:
Do not try to set IR header length when the profile is unknown

------------------------------------------------------------------------

------------------------------------------------------------------------
r46883 | pascal | 2013-01-01 07:02:14 -0800 (Tue, 01 Jan 2013) | 13 lines
Changed paths:
   M /trunk-1.8/version_info.c

Copy over from trunk:
------------------------------------------------------------------------
r46881 | pascal | 2013-01-01 15:20:17 +0100 (Tue, 01 Jan 2013) | 2 lines

Add detection of Windows 8 and Windows Server 2012

------------------------------------------------------------------------
r46882 | pascal | 2013-01-01 15:20:49 +0100 (Tue, 01 Jan 2013) | 2 lines

Welcome in 2013

------------------------------------------------------------------------

------------------------------------------------------------------------
r46886 | wmeier | 2013-01-01 13:48:19 -0800 (Tue, 01 Jan 2013) | 22 lines
Changed paths:
   M /trunk-1.8/ui/gtk/prefs_dlg.c

Copy over from trunk (with manual intervention):

------------------------------------------------------------------------
r46885 | wmeier | 2013-01-01 15:50:45 -0500 (Tue, 01 Jan 2013) | 15 lines

Use scrolled-windows to enclose "custom" prefs pages (User Interface, Layout, etc)
in the same manner as to "protocol prefs" pages.

This ensures that the bottom row buttons won't disappear off the bottom
of the prefs window if one (or more) of the custom prefs pages is too large
to fit vertically within the available screen space.

In Wireshark 1.8, more items were added to the "User Interface" prefs page
thus leading to an increased possibility of this issue occurring.

I believe this fixes Bug #8078.

#Backport Wireshark 1.8


------------------------------------------------------------------------

------------------------------------------------------------------------
r46936 | gerald | 2013-01-04 11:03:39 -0800 (Fri, 04 Jan 2013) | 2 lines
Changed paths:
   M /trunk-1.8/config.nmake
   M /trunk-1.8/tools/win32-setup.sh
   M /trunk-1.8/tools/win64-setup.sh

Switch the Windows builds to GTK+ 2.24.14.

------------------------------------------------------------------------
r46939 | gerald | 2013-01-04 12:55:08 -0800 (Fri, 04 Jan 2013) | 2 lines
Changed paths:
   M /trunk-1.8/version.conf

Enable interim packages so people can download them.

------------------------------------------------------------------------
r46946 | guy | 2013-01-05 02:07:16 -0800 (Sat, 05 Jan 2013) | 8 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/packaging/macosx/Scripts/wireshark-postinstall.sh

Copy over r46945 from trunk:

  ------------------------------------------------------------------------
  r46945 | guy | 2013-01-05 02:06:05 -0800 (Sat, 05 Jan 2013) | 3 lines

  In the post-install script, get rid of plugins that got converted to
  built-in dissectors in 1.8.  Hopefully, this will smash bug 7401.

------------------------------------------------------------------------
r46972 | gerald | 2013-01-06 07:34:05 -0800 (Sun, 06 Jan 2013) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf
   M /trunk-1.8/services

[Automatic manuf, services and enterprise-numbers update for 2013-01-06]
------------------------------------------------------------------------
r46992 | pascal | 2013-01-07 13:50:42 -0800 (Mon, 07 Jan 2013) | 9 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-nas_eps.c

Copy over from trunk:
------------------------------------------------------------------------
r46991 | pascal | 2013-01-07 22:37:55 +0100 (Mon, 07 Jan 2013) | 3 lines

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8168 :
Detect properly the EMM Service Request message

------------------------------------------------------------------------

------------------------------------------------------------------------
r47013 | etxrab | 2013-01-09 23:27:46 -0800 (Wed, 09 Jan 2013) | 7 lines
Changed paths:
   M /trunk-1.8/epan/wslua/wslua_tvb.c

Copy over:
Revision 47012 - wslua TvbRange:le_ustring/ustring buffer overflow's.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8175
 
--------------------------------------------------------------------------------
Revision 46151 - Diff to previous 45016From mathewt via bug 8012:
Fixed lua le_int64() and le_uint64().
------------------------------------------------------------------------
r47049 | gerald | 2013-01-13 07:34:06 -0800 (Sun, 13 Jan 2013) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf
   M /trunk-1.8/services

[Automatic manuf, services and enterprise-numbers update for 2013-01-13]
------------------------------------------------------------------------
r47051 | etxrab | 2013-01-13 10:15:16 -0800 (Sun, 13 Jan 2013) | 32 lines
Changed paths:
   M /trunk-1.8/epan/expert.c
   M /trunk-1.8/epan/proto.c

Copy over:
Revision 44322 - Move the pi==NULL test into TRY_TO_FAKE_THIS_REPR.

Since the tree will only be NULL here if someone messed up in proto.c and
since pi will only be NULL if tree is NULL, assert out if either of them are
NULL (don't use DISSECTOR_ASSERT() since such a condition wouldn't be the
dissector writer's fault).

Use TRY_TO_FAKE_THIS_REPR in ptvcursor_add_text_with_subtree().

We've had TRY_TO_FAKE_THIS_REPR for a long time now, don't wrap it in #if 1.

new_field_info() doesn't return NULL so don't check for it returning NULL in
ptvcursor_add().

--------------------------------------------------------------------------------
Part of Revision 44211 - #IF 0:ed out
(From Richard Stearn: support for AX.25, including support for
LINKTYPE_AX25.)
--------------------------------------------------------------------------------
Revision 44131 - wrappers for label filling (with information about string truncation)
--------------------------------------------------------------------------------
Revision 43509 - Fix compiler warning: "format not a string literal and no format arguments"
--------------------------------------------------------------------------------
Revision 43508 - Don't show (essentially meaningless) numeric values of the expert codes.
--------------------------------------------------------------------------------
Revision 43497 - Display expert codes in hexadecimal (less painful for my eyes :))
--------------------------------------------------------------------------------
Revision 43412 - Followup to r43176, r43177, r43178, and r43179: prohibit FT_*INT*
with BASE_NONE (or other future display values).

Don't use BASE_NONE with FT_UINT32s in the expert info fields.
------------------------------------------------------------------------
r47052 | pascal | 2013-01-13 12:46:34 -0800 (Sun, 13 Jan 2013) | 9 lines
Changed paths:
   M /trunk-1.8/capinfos.c
   M /trunk-1.8/editcap.c
   M /trunk-1.8/epan/to_str.c
   M /trunk-1.8/ui/gtk/summary_dlg.c
   M /trunk-1.8/wiretap/k12text.l
   M /trunk-1.8/wiretap/ngsniffer.c

Copy over from trunk:
------------------------------------------------------------------------
r46930 | pascal | 2013-01-04 15:56:27 +0100 (Fri, 04 Jan 2013) | 3 lines

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8105 :
Allow use of huges values for localtime / ctime / gmtime with MSVC 2008 or later

------------------------------------------------------------------------

------------------------------------------------------------------------
r47054 | eapache | 2013-01-13 18:21:26 -0800 (Sun, 13 Jan 2013) | 9 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/plugins/docsis/packet-cmstatus.c

Copy over from trunk:
------------------------------------------------------------------------
r47045 | mmann | 2013-01-12 21:03:55 -0500 (Sat, 12 Jan 2013) | 3 lines

guint16 needed to prevent rollover.  Bug 8199 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8199)

#BACKPORT
------------------------------------------------------------------------

------------------------------------------------------------------------
r47055 | eapache | 2013-01-13 18:22:30 -0800 (Sun, 13 Jan 2013) | 7 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/epan/dissectors/packet-rtps.c

Copy over from trunk:
------------------------------------------------------------------------
r47046 | mmann | 2013-01-12 21:58:42 -0500 (Sat, 12 Jan 2013) | 1 line

bugfix nested loop that wasn't breaking out of the main loop when subloop really wanted it to.  Bug 8198 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8198)
------------------------------------------------------------------------

------------------------------------------------------------------------
r47081 | jake | 2013-01-14 13:38:43 -0800 (Mon, 14 Jan 2013) | 3 lines
Changed paths:
   M /trunk-1.8/debian/control
   M /trunk-1.8/debian/patches/03_preferences.dpatch
   M /trunk-1.8/debian/wireshark-common.files
   M /trunk-1.8/debian/wireshark-common.manpages

Bring preference patch up to date.
Add missing files to package.
Allow more recent automake.
------------------------------------------------------------------------
r47089 | etxrab | 2013-01-14 21:49:44 -0800 (Mon, 14 Jan 2013) | 6 lines
Changed paths:
   M /trunk-1.8/config.nmake

Copy over:
Revision 46830 -Fixes & comments for building Wireshark with VS2012 (VC11)
1. Define 'APPVER' appropriately;
   Prevents warning message:
   LINK : warning LNK4010: invalid subsystem version number 5.0; default subsystem version assumed.
2. Add comment (& ToDo) re using VS2012 to build .exe which will also run on WIndows XP.
------------------------------------------------------------------------
r47090 | etxrab | 2013-01-14 22:05:34 -0800 (Mon, 14 Jan 2013) | 23 lines
Changed paths:
   M /trunk-1.8/epan/reassemble.c

Copy over:
Revision 46999 - From Evan:
sanity checks before setting a packet's total length in
fragment_set_tot_len()

(from me: check if fragments exist for the given id)

hopefully, this fixes #8111 and #8163 without causing troubles for other
protocols that use fragmentation and reassembly
--------------------------------------------------------------------------------
Revision 46812 - Add full modelines and minor whitespace fixes.
--------------------------------------------------------------------------------
Revision 44459 - Add 'fragment_table_destroy()' 
--------------------------------------------------------------------------------
Revision 44382 - Use g_slice allocation for 'reassembled_table' keys (instead of se allocation).

Not strictly required, but IMO a bit cleaner (if maybe a bit less efficient).
--------------------------------------------------------------------------------
Revision 44371 - From Jakub Zawadzki: Fix for memory leak in reassemble.c

Bug #4141

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4141#c10
------------------------------------------------------------------------
r47175 | gerald | 2013-01-20 07:34:16 -0800 (Sun, 20 Jan 2013) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf
   M /trunk-1.8/services

[Automatic manuf, services and enterprise-numbers update for 2013-01-20]
------------------------------------------------------------------------
r47245 | morriss | 2013-01-23 19:09:11 -0800 (Wed, 23 Jan 2013) | 24 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-dcp-etsi.c

Copy over from trunk:

    ------------------------------------------------------------------------
    r47125 | martink | 2013-01-16 16:57:34 -0500 (Wed, 16 Jan 2013) | 2 lines

    no need for if (tree)

    ------------------------------------------------------------------------
    r47123 | martink | 2013-01-16 16:51:16 -0500 (Wed, 16 Jan 2013) | 5 lines

    don't attempt reassembly if more than 1000 consecutive fragments are
    missing

    this fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8222

    ------------------------------------------------------------------------
    r47098 | eapache | 2013-01-15 11:51:55 -0500 (Tue, 15 Jan 2013) | 5 lines

    Don't run past the end of a fragment array, either in the loop or by putting a
    useless sentinel in.

    Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8213


------------------------------------------------------------------------
r47276 | gerald | 2013-01-25 10:50:55 -0800 (Fri, 25 Jan 2013) | 54 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/docbook/release-notes.xml
   M /trunk-1.8/epan/dissectors/packet-dis-pdus.c
   M /trunk-1.8/epan/dissectors/packet-etherip.c
   M /trunk-1.8/epan/dissectors/packet-gtp.c
   M /trunk-1.8/epan/dissectors/packet-gtpv2.c
   M /trunk-1.8/epan/proto.c
   M /trunk-1.8/ui/gtk/main_menubar.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r46958 | pascal | 2013-01-05 15:49:24 -0800 (Sat, 05 Jan 2013) | 3 lines
  Changed paths:
     M /trunk/epan/proto.c

  From Nickolai via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8167 :
  Fix an incorrect logical check for no_of_bits!=0 in proto_tree_add_split_bits_item_ret_val()
  ------------------------------------------------------------------------
  r47036 | pascal | 2013-01-11 12:18:32 -0800 (Fri, 11 Jan 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-gtp.c

  Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8193 :
  Add dissection of Dual Address Bearer Flag bit in Common Flags IE
  ------------------------------------------------------------------------
  r47071 | pascal | 2013-01-14 10:29:27 -0800 (Mon, 14 Jan 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-gtpv2.c

  Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8208 :
  Display ECI and LAC in decimal and fix highlighting of CGI, SAI, RAI, TAI, ECGI and LAI fields
  ------------------------------------------------------------------------
  r47112 | mmann | 2013-01-16 05:27:23 -0800 (Wed, 16 Jan 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-etherip.c

  Bugfix version number in EtherIP dissector + general cleanup.  Bug 8211 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8211)

  #BACKPORT
  ------------------------------------------------------------------------
  r47132 | pascal | 2013-01-17 05:20:45 -0800 (Thu, 17 Jan 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-dis-pdus.c

  From Hendrik Uhlmann via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8227 :
   Electromagnetic Emission Parser parses field Event Id as Entity Id
  ------------------------------------------------------------------------


Copy over with manual intervention:

  ------------------------------------------------------------------------
  r46433 | gerald | 2012-12-06 16:39:28 -0800 (Thu, 06 Dec 2012) | 2 lines
  Changed paths:
     M /trunk/ui/gtk/main_menubar.c

  Fix an apparent copy/paste error.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r47278 | gerald | 2013-01-25 11:35:19 -0800 (Fri, 25 Jan 2013) | 49 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/asn1/snmp/packet-snmp-template.c
   M /trunk-1.8/docbook/release-notes.xml
   M /trunk-1.8/docbook/wsug_src/WSUG_chapter_capture.xml
   M /trunk-1.8/epan/dissectors/packet-jxta.c
   M /trunk-1.8/epan/dissectors/packet-lapd.c
   M /trunk-1.8/epan/dissectors/packet-snmp.c
   M /trunk-1.8/epan/packet.c
   M /trunk-1.8/epan/packet.h
   M /trunk-1.8/tshark.c
   M /trunk-1.8/ui/gtk/dissector_tables_dlg.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r47136 | jake | 2013-01-17 14:06:22 -0800 (Thu, 17 Jan 2013) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-jxta.c

  Fix for bug 8212.
  Disable speed optimization which otherwise cause dissector asserts due to
  appending text and setting lengths.
  ------------------------------------------------------------------------
  r47144 | jake | 2013-01-17 22:22:01 -0800 (Thu, 17 Jan 2013) | 2 lines
  Changed paths:
     M /trunk/docbook/wsug_src/WSUG_chapter_capture.xml

  Replace SESSIONNAME with the use of an API call, just as in the code.
  ------------------------------------------------------------------------
  r47173 | grahamb | 2013-01-20 02:01:34 -0800 (Sun, 20 Jan 2013) | 1 line
  Changed paths:
     M /trunk/asn1/snmp/packet-snmp-template.c
     M /trunk/epan/dissectors/packet-snmp.c

  snmp dissector did not correctly set length of pdu's of more than 127 bytes.  The dissector assumed the ber identifier and length fields were always 2 bytes long, so a pdu length of more than 127 bytes, which requires more than 1 length octet, was incorrectly dissected.
  ------------------------------------------------------------------------
  r47223 | jake | 2013-01-22 22:11:18 -0800 (Tue, 22 Jan 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-lapd.c

  Fix for CID 280286:
  Take negative value into account, avoid all casting in the process.

  ------------------------------------------------------------------------


Revert with manual intervention:
  ------------------------------------------------------------------------
  r44696 | mmann | 2012-08-29 14:23:07 -0700 (Wed, 29 Aug 2012) | 1 line
  Changed paths:
     M /trunk/epan/packet.c
     M /trunk/epan/packet.h
     M /trunk/tshark.c
     M /trunk/ui/gtk/dissector_tables_dlg.c

  Fix Bug 7348 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7348)
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r47279 | gerald | 2013-01-25 11:47:55 -0800 (Fri, 25 Jan 2013) | 14 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/epan/dissectors/packet-dtls.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r47000 | martink | 2013-01-08 14:24:42 -0800 (Tue, 08 Jan 2013) | 6 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-dtls.c

  revert r46739

  call fragment_add() before fragment_set_tot_len()
  (the latter has no effect if no fragments are present, so we don't set
   the total length correctly when it's in the first fragment)
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r47281 | gerald | 2013-01-25 12:17:00 -0800 (Fri, 25 Jan 2013) | 12 lines
Changed paths:
   M /trunk-1.8/epan/proto.c

Copy over r47114 by hand.

  ------------------------------------------------------------------------
  r47114 | eapache | 2013-01-16 06:14:05 -0800 (Wed, 16 Jan 2013) | 3 lines
  Changed paths:
     M /trunk/epan/proto.c

  Null the finfo pointer after we free it. Reduces (but does not completely fix)
  the errors from bug https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8197
  ------------------------------------------------------------------------


------------------------------------------------------------------------
r47282 | gerald | 2013-01-25 12:19:58 -0800 (Fri, 25 Jan 2013) | 10 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/epan/dissectors/packet-ntlmssp.c

Copy over r47248 from the trunk:

  ------------------------------------------------------------------------
  r47248 | rbalint | 2013-01-24 01:34:54 -0800 (Thu, 24 Jan 2013) | 1 line
  Changed paths:
     M /trunk/epan/dissectors/packet-ntlmssp.c

  Prevent copying longer than expected NTLM SSP key
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r47283 | gerald | 2013-01-25 12:24:03 -0800 (Fri, 25 Jan 2013) | 13 lines
Changed paths:
   M /trunk-1.8/ui/gtk/main_proto_draw.c

Copy over r47277 by hand:

  ------------------------------------------------------------------------
  r47277 | cmaynard | 2013-01-25 11:01:57 -0800 (Fri, 25 Jan 2013) | 5 lines
  Changed paths:
     M /trunk/ui/gtk/packet_panes.c

  When searching for hex bytes from the "Find Packet" dialog, highlight the correct number of bytes.  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8085
  #BACKPORT
  1.8: ui/gtk/main_proto_draw.c:packet_hex_print()
  1.6: gtk/main_proto_draw.c:packet_hex_print()
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r47287 | gerald | 2013-01-25 15:06:52 -0800 (Fri, 25 Jan 2013) | 4 lines
Changed paths:
   M /trunk-1.8/tools/fuzz-test.sh

Temporarily run "ps" after fuzzing to show the cumulative CPU time.
Hopefully this will shed some light on the recent "CPU time limit
exceeded" errors.

------------------------------------------------------------------------
r47292 | gerald | 2013-01-25 17:03:39 -0800 (Fri, 25 Jan 2013) | 2 lines
Changed paths:
   M /trunk-1.8/docbook/release-notes.xml

Update the release notes.

------------------------------------------------------------------------
r47305 | gerald | 2013-01-26 12:12:52 -0800 (Sat, 26 Jan 2013) | 6 lines
Changed paths:
   M /trunk-1.8/tools/fuzz-test.sh

Instead of setting resource limits on the fuzz-test.sh process itself,
set limits on the TShark subprocess. This should hopefully take care
of the strange fuzz failures we've seen lately.

Reduce the maximum CPU time to 5 minutes while we're at it.

------------------------------------------------------------------------
r47306 | wmeier | 2013-01-26 12:13:16 -0800 (Sat, 26 Jan 2013) | 12 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-mpls-echo.c

Copy over from trunk (manually)

------------------------------------------------------------------------
r47304 | wmeier | 2013-01-26 14:59:41 -0500 (Sat, 26 Jan 2013) | 5 lines

Add two missing hf[] entries (which should have been part of SVN #42819).
(Found by checkhf)

##Backport 1.8

------------------------------------------------------------------------

------------------------------------------------------------------------
r47315 | gerald | 2013-01-27 07:33:52 -0800 (Sun, 27 Jan 2013) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf
   M /trunk-1.8/services

[Automatic manuf, services and enterprise-numbers update for 2013-01-27]
------------------------------------------------------------------------
r47325 | gerald | 2013-01-28 10:02:58 -0800 (Mon, 28 Jan 2013) | 12 lines
Changed paths:
   M /trunk-1.8/asn1/c1222/packet-c1222-template.c
   M /trunk-1.8/asn1/ess/packet-ess-template.c
   M /trunk-1.8/asn1/ldap/packet-ldap-template.c
   M /trunk-1.8/asn1/pres/packet-pres-template.c
   M /trunk-1.8/asn1/snmp/packet-snmp-template.c
   M /trunk-1.8/docbook/release-notes.xml
   M /trunk-1.8/epan/dfilter/dfilter-macro.c
   M /trunk-1.8/epan/dissectors/packet-ber.c
   M /trunk-1.8/epan/dissectors/packet-bootp.c
   M /trunk-1.8/epan/dissectors/packet-c1222.c
   M /trunk-1.8/epan/dissectors/packet-dmp.c
   M /trunk-1.8/epan/dissectors/packet-dtls.c
   M /trunk-1.8/epan/dissectors/packet-ess.c
   M /trunk-1.8/epan/dissectors/packet-http.c
   M /trunk-1.8/epan/dissectors/packet-ieee80211.c
   M /trunk-1.8/epan/dissectors/packet-ieee802154.c
   M /trunk-1.8/epan/dissectors/packet-imf.c
   M /trunk-1.8/epan/dissectors/packet-ipsec.c
   M /trunk-1.8/epan/dissectors/packet-isakmp.c
   M /trunk-1.8/epan/dissectors/packet-k12.c
   M /trunk-1.8/epan/dissectors/packet-ldap.c
   M /trunk-1.8/epan/dissectors/packet-mac-lte.c
   M /trunk-1.8/epan/dissectors/packet-pres.c
   M /trunk-1.8/epan/dissectors/packet-reload.c
   M /trunk-1.8/epan/dissectors/packet-sccp.c
   M /trunk-1.8/epan/dissectors/packet-snmp.c
   M /trunk-1.8/epan/dissectors/packet-ssl.c
   M /trunk-1.8/epan/dissectors/packet-user_encap.c
   M /trunk-1.8/epan/dissectors/packet-vcdu.c
   M /trunk-1.8/epan/dissectors/packet-zbee-security.c
   M /trunk-1.8/epan/geoip_db.c
   M /trunk-1.8/epan/oids.c
   M /trunk-1.8/epan/uat-int.h
   M /trunk-1.8/epan/uat.c
   M /trunk-1.8/epan/uat.h
   M /trunk-1.8/ui/gtk/uat_gui.c

Revert r46474 since it breaks API and ABI compatibility.

  ------------------------------------------------------------------------
  r46474 | eapache | 2012-12-08 18:46:41 -0800 (Sat, 08 Dec 2012) | 32 lines

  Copy from trunk with manual intervention, to fix
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8073
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r47327 | gerald | 2013-01-28 12:01:54 -0800 (Mon, 28 Jan 2013) | 3 lines
Changed paths:
   M /trunk-1.8/tools/git-compare-abis.sh

Figure out our core count on Linux and guess elsewhere. Use a default
build command.

------------------------------------------------------------------------
r47334 | gerald | 2013-01-28 15:11:25 -0800 (Mon, 28 Jan 2013) | 52 lines
Changed paths:
   M /trunk-1.8
   M /trunk-1.8/asn1/snmp/packet-snmp-template.c
   M /trunk-1.8/docbook/release-notes.xml
   M /trunk-1.8/epan/Makefile.am
   M /trunk-1.8/epan/crypt/airpdcap.c
   M /trunk-1.8/epan/dissectors/packet-snmp.c
   M /trunk-1.8/plugins/wimax/packet-wmx.c
   M /trunk-1.8/tempfile.c
   M /trunk-1.8/tempfile.h
   M /trunk-1.8/wiretap/Makefile.am
   M /trunk-1.8/wsutil/Makefile.am

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r47294 | jake | 2013-01-26 03:34:55 -0800 (Sat, 26 Jan 2013) | 3 lines
  Changed paths:
     M /trunk/plugins/wimax/packet-wmx.c

  Fix for CID 280529 and 280530.
  Check the validity of the TLV before using its retreived data.
  ------------------------------------------------------------------------
  r47298 | cmaynard | 2013-01-26 07:41:16 -0800 (Sat, 26 Jan 2013) | 4 lines
  Changed paths:
     M /trunk/tempfile.c
     M /trunk/tempfile.h

  Replace disallowed filename characters to '-'.
  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7877
  #BACKPORT(1.8, 1.6)
  ------------------------------------------------------------------------
  r47300 | eapache | 2013-01-26 07:51:01 -0800 (Sat, 26 Jan 2013) | 2 lines
  Changed paths:
     M /trunk/tempfile.c
     M /trunk/tempfile.h

  The const was important, take a copy of the suffix to sanitize instead.
  ------------------------------------------------------------------------
  r47314 | mmann | 2013-01-27 07:28:55 -0800 (Sun, 27 Jan 2013) | 1 line
  Changed paths:
     M /trunk/epan/crypt/airpdcap.c

  Bugfix crash caused by AirPDcap decryption.  Bug 8177 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8177)
  ------------------------------------------------------------------------
  r47328 | mmann | 2013-01-28 13:08:14 -0800 (Mon, 28 Jan 2013) | 2 lines
  Changed paths:
     M /trunk/asn1/snmp/packet-snmp-template.c
     M /trunk/epan/dissectors/packet-snmp.c

  Allow SNMP user table entry to be re-editted even if engineID/Username remains the same.
  Bug 2426 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2426)
  ------------------------------------------------------------------------
  r47329 | rbalint | 2013-01-28 13:45:44 -0800 (Mon, 28 Jan 2013) | 1 line
  Changed paths:
     M /trunk/epan/Makefile.am
     M /trunk/wiretap/Makefile.am
     M /trunk/wsutil/Makefile.am

  make dumpabi target build with multiple digits in library version numbers
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r47335 | gerald | 2013-01-28 16:32:08 -0800 (Mon, 28 Jan 2013) | 2 lines
Changed paths:
   M /trunk-1.8/epan/Makefile.am
   M /trunk-1.8/wiretap/Makefile.am
   M /trunk-1.8/wsutil/Makefile.am

"ls" might return multiple entries. "readlink" will return just one.

------------------------------------------------------------------------
r47336 | gerald | 2013-01-28 16:32:59 -0800 (Mon, 28 Jan 2013) | 2 lines
Changed paths:
   M /trunk-1.8/epan/Makefile.am
   M /trunk-1.8/wsutil/Makefile.am

Fix copy/paste errors.

------------------------------------------------------------------------
r47337 | gerald | 2013-01-28 16:53:56 -0800 (Mon, 28 Jan 2013) | 4 lines
Changed paths:
   M /trunk-1.8/epan/address.h

Partially revert r46671. Remove the "hf" member from address struct
along with SET_ADDRESS_HF and TVB_SET_ADDRESS_HF so that we don't leave
muddy bootprints all over the ABI/API.

------------------------------------------------------------------------
r47346 | gerald | 2013-01-29 08:44:10 -0800 (Tue, 29 Jan 2013) | 4 lines
Changed paths:
   M /trunk-1.8/epan/address.h

Remove AT_AX25 and AT_IEEE_802_15_4_SHORT. They aren't used, change the
API, and as Balint points out will cause an assertion if you try to use
them with address_to_str_buf.

------------------------------------------------------------------------
r47348 | gerald | 2013-01-29 09:53:39 -0800 (Tue, 29 Jan 2013) | 2 lines
Changed paths:
   M /trunk-1.8/epan/proto.c

#if 0 out proto_tree_set_ax25_tvb.

------------------------------------------------------------------------
